ALTER PROCEDURE [dbo].[upd_doc_documento_contacto]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_documento_contacto varchar(300) = null,
		@p_id_documento int = null,
		@p_active bit = null,
		@p_id_contacto int = null
AS
BEGIN
		UPDATE [doc_documento_contacto]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[active]  = isnull(@p_active,[active]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[documento_contacto] = isnull(@p_documento_contacto,[documento_contacto]),
			[id_documento] = isnull(@p_id_documento,[id_documento]),
			[id_contacto] = isnull(@p_id_contacto,[id_contacto])
		WHERE (id = @p_id)
END